package com.anysoftkeyboard.ui.settings;

import com.anysoftkeyboard.addons.AddOn;
import com.anysoftkeyboard.theme.KeyboardTheme;
import com.anysoftkeyboard.theme.KeyboardThemeFactory;
import com.menny.android.anysoftkeyboard.R;

import java.util.List;

import static com.menny.android.anysoftkeyboard.R.xml.prefs_addon_keyboard_theme_selector;

public class KeyboardThemeSelector extends AddOnSelector<KeyboardTheme> {

	@Override
	protected String getAdditionalMarketQueryString() {
		return " theme";
	}
	
	@Override
	protected int getAddonsListPrefKeyResId() {
		return R.string.settings_key_keyboard_theme_key;
	}
	
	@Override
	protected int getPrefsLayoutResId() {
		return prefs_addon_keyboard_theme_selector;
	}
	
	@Override
	protected List<KeyboardTheme> getAllAvailableAddOns() {
		return KeyboardThemeFactory.getAllAvailableQuickKeys(getApplicationContext());
	}
	
	@Override
	protected boolean allowExternalPacks() {
		return true;
	}
	
	@Override
	protected AddOn getCurrentSelectedAddOn() {
		return KeyboardThemeFactory.getCurrentKeyboardTheme(getApplicationContext());
	}
}